Subject: Re: bug#46168: terminal-window-size breaks with ssh

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 Feb 2021 13:55:04 +0100

Hi,

raingloom <[email-masked]> skribis:

> Try running `ssh example.com guix pull` or something else that uses
> progress bars. You'll get an "Inappropriate ioctl for device" instead
> of Guix simply doing the sensible thing: disabling progress bars.

I can’t reproduce this with c852d897551f514de95c224fa79e748f48808068.
Specifically, ‘ssh HOST guix pull’ shows me the Git progress bar (while
updating channels), and then there are no progress bars for downloads
but dots instead (as expected).

Which revision (as returned by ‘guix describe’) behaves like this for
you?

Thanks,
Ludo’.